Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057517 - After newest update "Files" appear to be always open.
Summary: After newest update "Files" appear to be always open.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 09:35 UTC by a.kassiteridis
Modified: 2015-06-30 01:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:26:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 722928 None None None Never

Description a.kassiteridis 2014-01-24 09:35:02 UTC
Description of problem:
After newest update (3.10.3-1.fc20) "Files" appear to be always open after a restart of the shell (reboot, logout->login etc) and stay on the top bar next to activities menu. If click on "Files" nothing appears, the right click though open the "Files" menu. If I then click on quit nothing happens, but if I open system monitor I find nautilus running. If I kill the process "Files" go away, until I open again the nautilus and the problem is reproduced.

Version-Release number of selected component (if applicable):
(3.10.3-1.fc20)

How reproducible:
start gnome shell (reboot, login etc). 
also: kill nautilus process and open files again. close the window (from the x gui buttons) but "files" still stay on the top bar.

Steps to Reproduce:
1. start gnome shell
2. open nautilus and close it from gui button.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Florian Müllner 2014-01-24 12:50:02 UTC
You should mention that you have desktop icons enabled (which are provided by Files/nautilus) ;-)

See https://bugzilla.redhat.com/show_bug.cgi?id=1055118#c1.

Comment 2 Didier G 2014-01-26 13:28:53 UTC
Same problem with gnome-shell-3.10.3-2.fc20.x86_64

If "Enable Icons on desktop" is set using gnome-tweak-tool, "Files" entry is also displayed in gnome-shell top menu even if files manager is not opened.

Comment 3 Florian Müllner 2014-01-29 13:49:07 UTC
(In reply to Didier G from comment #2)
> Same problem with gnome-shell-3.10.3-2.fc20.x86_64

Yes - the upstream issue is still open. If it is fixed, we can get another update.


> If "Enable Icons on desktop" is set using gnome-tweak-tool, "Files" entry is
> also displayed in gnome-shell top menu even if files manager is not opened.

Well, technically the file manager *is* running - it's what's providing the desktop icons.

Comment 4 Fedora Update System 2014-01-31 10:59:34 UTC
mutter-3.10.3-2.fc20,mutter-wayland-3.10.1-2.fc20,gnome-shell-3.10.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mutter-3.10.3-2.fc20,mutter-wayland-3.10.1-2.fc20,gnome-shell-3.10.3-3.fc20

Comment 5 Christian Klomp 2014-02-01 11:54:00 UTC
Now it is nearly fixed.
The persistent application menu icon is gone but there is still a "Desktop" entry when one right clicks the Files/Nautilus icon on overview which doesn't do anything useful and shouldn't be there/wasn't there before.

Comment 6 Fedora Update System 2014-02-06 03:53:57 UTC
mutter-3.10.3-2.fc20, mutter-wayland-3.10.1-2.fc20, gnome-shell-3.10.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora End Of Life 2015-05-29 10:39:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-30 01:26:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.